package me.chanjar.weixin.mp.bean.card;

import com.google.gson.annotations.SerializedName;
import lombok.Data;
import me.chanjar.weixin.mp.util.json.WxMpGsonBuilder;

import java.io.Serializable;
import java.util.List;

/**
 *
 * 批量查询卡券列表
 * @author Stormeye
 * @version 19/06/04
 */
@Data
public class WxMpCardBatchGetResult implements Serializable {
  private static final long serialVersionUID = -7950878428289035637L;

  public static WxMpCardBatchGetResult fromJson(String json) {
    return WxMpGsonBuilder.create().fromJson(json, WxMpCardBatchGetResult.class);
  }

  private String errorCode;

  private String errorMsg;

  /**
   * 卡券ID列表
   */
  @SerializedName("card_id_list")
  private List<String> cardList;

  /**
   * 该商户名下卡券ID总数
   */
  @SerializedName("total_num")
  private Integer totalNum;

  @Override
  public String toString() {
    return WxMpGsonBuilder.create().toJson(this);
  }

}
