package me.chanjar.weixin.open.bean.ma;

import com.google.gson.annotations.SerializedName;
import lombok.Data;
import me.chanjar.weixin.open.util.json.WxOpenGsonBuilder;

import java.io.Serializable;

/**
 * 微信小程序前段API.
 *
 * @author yqx
 * @date 2018/9/13
 */
@Data
public class WxOpenMaInterface implements Serializable {

  private static final long serialVersionUID = 5144162852271559768L;

  @SerializedName("api_name")
  private String apiName;

  @SerializedName("api_ch_name")
  private String apiChName;

  @SerializedName("api_desc")
  private String apiDesc;

  @SerializedName("apply_time")
  private Long applyTime;

  /**
   * 状态码	说明
   * 1	待申请开通
   * 2	无权限
   * 3	申请中
   * 4	申请失败
   * 5	已开通
   */
  @SerializedName("status")
  private Integer status;

  @SerializedName("audit_id")
  private Long auditId;

  @SerializedName("fail_reason")
  private String failReason;

  @SerializedName("api_link")
  private String apiLink;

  @SerializedName("group_name")
  private String groupName;

  @Override
  public String toString() {
    return WxOpenGsonBuilder.create().toJson(this);
  }
}
